View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007838FPCCompilerpublic2006-11-18 00:472008-05-23 21:02
ReporterLars(L505) 
Assigned ToJonas Maebe 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionProduct Build 
Target VersionFixed in Version2.2.2 
Summary0007838: Initialization/finalization of DLL units - exporting function from executable
DescriptionInitialization and finalization of units in library uses clause does not occur when exporting function from elf executable on linux. This is different than a previous bug I filed where finalization did not occur with smartlinking on.
Additional InformationWhen no exports from the elf executable are included, and no smartlinking is on, initialization and finalization of the units do occur properly. Note: I have tested on Windows and it appears to work fine from small testing. Linux is the problem. BSD is another story.
TagsNo tags attached.
FPCOldBugId0
Fixed in Revision10664
Attached Files? file icon dyn.pas [^] (200 bytes) 2006-11-18 00:47
? file icon libunit1.pas [^] (370 bytes) 2006-11-18 00:47
? file icon prog.pas [^] (771 bytes) 2006-11-18 00:48

- Relationships
related to 0006822closedJonas Maebe Finalization of DSO/DLL, smartlinking -XX 
related to 0009089closedJonas Maebe Library INITIALIZATION and FINALIZATION sections are not called under Linux 
related to 0008730closedJonas Maebe Wrong / none execution of initalization section within shared libraries under Linux 

-  Notes
(0013239)
Marco van de Voort (manager)
2007-06-18 05:58

What is the problem with BSD then?
(0013243)
Werner Bochtler (reporter)
2007-06-18 11:41

Maybe related to bug report 8730 and 9048?
(0013285)
Lars(L505) (reporter)
2007-06-20 08:47

The BSD problem is here:
http://www.freepascal.org/mantis/view.php?id=7833 [^]

- Issue History
Date Modified Username Field Change
2006-11-18 00:47 Lars(L505) New Issue
2006-11-18 00:47 Lars(L505) File Added: dyn.pas
2006-11-18 00:47 Lars(L505) File Added: libunit1.pas
2006-11-18 00:48 Lars(L505) File Added: prog.pas
2007-06-18 05:58 Marco van de Voort Note Added: 0013239
2007-06-18 10:19 Jonas Maebe Relationship added related to 0006822
2007-06-18 11:41 Werner Bochtler Note Added: 0013243
2007-06-20 08:47 Lars(L505) Note Added: 0013285
2007-11-10 12:07 Jonas Maebe Relationship added related to 0008730
2007-11-10 12:08 Jonas Maebe Relationship added related to 0009089
2008-03-24 00:31 Jonas Maebe Status new => assigned
2008-03-24 00:31 Jonas Maebe Assigned To => Jonas Maebe
2008-03-24 17:55 Jonas Maebe Fixed in Revision => 10551
2008-03-24 17:55 Jonas Maebe Status assigned => resolved
2008-03-24 17:55 Jonas Maebe Fixed in Version => 2.3.1
2008-03-24 17:55 Jonas Maebe Resolution open => fixed
2008-04-23 22:10 Jonas Maebe FPCOldBugId => 0
2008-04-23 22:10 Jonas Maebe FPCTarget => -
2008-04-23 22:10 Jonas Maebe Fixed in Revision 10551 => 10664
2008-04-23 22:10 Jonas Maebe Fixed in Version 2.3.1 => 2.2.1
2008-05-23 21:02 Jonas Maebe Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker